List<long> proizvodi = new List<long>();
int T = int.Parse(Console.ReadLine());
for (int K = 0; K < T; K++)
{
    long konacno = 0;
    long r = 1;
    long N = long.Parse(Console.ReadLine());
    
    for (long i = 1; i < N+1; i++)
    {
        long x = i;
        while (x > 0)
        {
            long temp;
            temp = x % 10;
            x /=10;
            r *= temp;
        }
        if (proizvodi.Contains(r) == false)
        {
            proizvodi.Add(r);
        }
    }
    Console.WriteLine(proizvodi.Count);